import * as React from "react";
import { IGXA } from "@intelligentgraphics/igd.productdata";
export interface Localization {
    language: string;
    currency: string;
    locale: string;
    extractLocalizedItemText(text: IGXA.TItemText): string[];
}
export declare const useLocalization: () => Localization;
declare const LocalizationSubscription: React.FunctionComponent<LocalizationProps>;
export default LocalizationSubscription;
export interface LocalizationProps {
    children(props: Localization): React.ReactElement | null;
}
